<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <title>JFLAP: An Interactive Formal Languages and Automata Package</title>
  </head>

  <body>
<center>
<table>
<tr>
<td>
    <h2>JFLAP: An Interactive Formal Languages and Automata Package
<br>
Susan H. Rodger and Thomas W. Finley<br>
2006(c) Jones & Bartlett Publishers, Sudbury, MA<br>
ISBN 0763738344 <br>
(published 2/27/2006)</h2>


<td>
<image src="jflapbooksmall.jpg">
</table>
</center>

The JFLAP book is available on 
<a href="http://www.amazon.com/gp/product/0763738344/ref=sr_11_1/102-9525280-5111318?%5Fencoding=UTF8" target=amazon>  
amazon</a> and
<a href="http://search.barnesandnoble.com/booksearch/isbnInquiry.asp?z=y&isbn=0763738344&itm=1" target="barnesNoble">
Barnes and Noble</a> online. You can also order it directly from the
publisher (see below).

<p>

<h2> From the preface...</h2>
<p>
This book is a hands-on guide through the Java Formal Language
and Automata Package (JFLAP), an interactive visualization and teaching tool
for formal languages.  This book is intended as a supplement 
to an undergraduate automata theory course or an undergraduate compiler
course. This book is not a textbook! 
We assume the user is using a textbook along
with our book. Our book guides users interactively through many of the
concepts in an automata theory course or the early topics in a compiler 
course, including descriptions of algorithms
JFLAP has implemented and sample problems for reinforcement of concepts. 
However, our book assumes that the user has read briefly about these
concepts first in an automata theory textbook or compiler textbook. 

<p>More information on the book at <a href="http://computerscience.jbpub.com/computation" target=JonesBartlett>
 Jones's and Bartlett's website </a>

<br>

<h2> Samples from the book </h2>

<ul>

<p> <li> <a href="preface.pdf"> Preface</a>
<p> <li> <a href="toc.pdf"> Table of Contents</a>
<p> <li> <a href="files/"> Files</a> from the JFLAP book  
</ul>

<p>
<h2> Errata </h2>

Typos in the book are listed <a href="errata.html"> here</a>.
    If you find a typo, please send it to <tt>jflap-errata AT cs.duke.edu</tt>

<p>

<h2> JFLAP Software </h2>


<p>
The JFLAP software is available for free from <a
href="http://www.jflap.org" target=jflaporg> www.jflap.org </a>

<p>

<br>
    <hr>
    Susan H. Rodger (rodger AT cs.duke.edu)<br>
<!-- Created: Fri Jul  1 11:07:07 EDT 2005 -->
<!-- hhmts start -->
Last modified: Sat Apr  8 11:32:27 EDT 2006
<!-- hhmts end -->
  </body>
</html>
